Grape (Groovy 2.4.9)
Date: 2017-02-24

groovy.grape

## Class Grape

- java.lang.Object
- - groovy.grape.Grape

-     public class Grape
      extends Object

  Facade to GrapeEngine.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `AUTO_DOWNLOAD_SETTING`
    `static String` | `DISABLE_CHECKSUMS_SETTING`
    `protected static GrapeEngine` | `instance`
    `static String` | `SYSTEM_PROPERTIES_SETTING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Grape()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addResolver(Map<String,Object> args)`
    `static Map<String,Map<String,List<String>>>` | `enumerateGrapes()`
    `static boolean` | `getDisableChecksums()` Global flag to ignore checksums.
    `static boolean` | `getEnableAutoDownload()` This is a static access auto download enabler.
    `static boolean` | `getEnableGrapes()` This is a static access kill-switch.
    `static GrapeEngine` | `getInstance()`
    `static void` | `grab(Map<String,Object> dependency)`
    `static void` | `grab(Map<String,Object> args, Map... dependencies)`
    `static void` | `grab(String endorsed)`
    `static Map[]` | `listDependencies(ClassLoader cl)`
    `static URI[]` | `resolve(Map<String,Object> args, List depsInfo, Map... dependencies)`
    `static URI[]` | `resolve(Map<String,Object> args, Map... dependencies)`
    `static void` | `setDisableChecksums(boolean disableChecksums)` Set global flag to ignore checksums.
    `static void` | `setEnableAutoDownload(boolean enableAutoDownload)` This is a static access auto download enabler.
    `static void` | `setEnableGrapes(boolean enableGrapes)` This is a static access kill-switch.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTO_DOWNLOAD_SETTING

          public static final String AUTO_DOWNLOAD_SETTING

      See Also:
        Constant Field Values

    - #### DISABLE_CHECKSUMS_SETTING

          public static final String DISABLE_CHECKSUMS_SETTING

      See Also:
        Constant Field Values

    - #### SYSTEM_PROPERTIES_SETTING

          public static final String SYSTEM_PROPERTIES_SETTING

      See Also:
        Constant Field Values

    - #### instance

          protected static GrapeEngine instance

  - ### Constructor Detail

    - #### Grape

          public Grape()

  - ### Method Detail

    - #### getEnableGrapes

          public static boolean getEnableGrapes()

      This is a static access kill-switch. All of the static shortcut methods in this class will not work if this property is set to false. By default it is set to true.

    - #### setEnableGrapes

          public static void setEnableGrapes(boolean enableGrapes)

      This is a static access kill-switch. All of the static shortcut methods in this class will not work if this property is set to false. By default it is set to true.

    - #### getEnableAutoDownload

          public static boolean getEnableAutoDownload()

      This is a static access auto download enabler. It will set the 'autoDownload' value to the passed in arguments map if not already set. If 'autoDownload' is set the value will not be adjusted.

      This applies to the grab and resolve calls.

      If it is set to false, only previously downloaded grapes will be used. This may cause failure in the grape call if the library has not yet been downloaded

      If it is set to true, then any jars not already downloaded will automatically be downloaded. Also, any versions expressed as a range will be checked for new versions and downloaded (with dependencies) if found.

      By default it is set to true.

    - #### setEnableAutoDownload

          public static void setEnableAutoDownload(boolean enableAutoDownload)

      This is a static access auto download enabler. It will set the 'autoDownload' value to the passed in arguments map if not already set. If 'autoDownload' is set the value will not be adjusted.

      This applies to the grab and resolve calls.

      If it is set to false, only previously downloaded grapes will be used. This may cause failure in the grape call if the library has not yet been downloaded.

      If it is set to true, then any jars not already downloaded will automatically be downloaded. Also, any versions expressed as a range will be checked for new versions and downloaded (with dependencies) if found. By default it is set to true.

    - #### getDisableChecksums

          public static boolean getDisableChecksums()

      Global flag to ignore checksums. By default it is set to false.

    - #### setDisableChecksums

          public static void setDisableChecksums(boolean disableChecksums)

      Set global flag to ignore checksums. By default it is set to false.

    - #### getInstance

          public static GrapeEngine getInstance()

    - #### grab

          public static void grab(String endorsed)

    - #### grab

          public static void grab(Map<String,Object> dependency)

    - #### grab

          public static void grab(Map<String,Object> args,
                                  Map... dependencies)

    - #### enumerateGrapes

          public static Map<String,Map<String,List<String>>> enumerateGrapes()

    - #### resolve

          public static URI[] resolve(Map<String,Object> args,
                                      Map... dependencies)

    - #### resolve

          public static URI[] resolve(Map<String,Object> args,
                                      List depsInfo,
                                      Map... dependencies)

    - #### listDependencies

          public static Map[] listDependencies(ClassLoader cl)

    - #### addResolver

          public static void addResolver(Map<String,Object> args)